Viewing the tile metadata for A deployed product
Viewing the tile metadata for a deployed product
Returns the tile metadata associated with a deployed product. This metadata corresponds to the metadata YAML file inside the original tile, after tile migrations have been run.
Request
URI
GET
https://{opsmanager-installation}/api/v0/deployed/products/{product_guid}/metadata
COPY
Path Parameters
string
product_guid
Required
The guid of the product
Responses
200
OK
Returns
MetadataResponse
of type(s)
application/json
{
"metadata": "string"
}
string
metadata
Optional
The YAML metadata file rendered as a string
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/api/v0/deployed/products/{product_guid}/metadata
Products Operations
DELETE
Deleting A single unused product
GET
Listing all available products
POST
Uploading A product
GET
Viewing A single deployed product
GET
Viewing the tile metadata for A deployed product
GET
All deployed products
DELETE
Removing A staged product
GET
Viewing A single staged product
PUT
Upgrading A staged product
GET
Viewing the tile metadata for A staged product
POST
Adding An available product
GET
All staged products